3

I am trying to update TLS1 to TLS1.1 or higher but after doing below changes, Getting error "SSLProtocol: Illegal protocol 'TLSv1.1'"

My Apache and openssl version are :-

httpd -v

Server version: Apache/2.4.2 (Unix) Server built: Jul 16 2012 21:11:37

openssl version -a

OpenSSL 1.0.1e-fips 11 Feb 2013 built on: Tue Sep 27 12:27:19 UTC 2016

Centos-version (6.7)

rpm --query centos-release

centos-release-6-7.el6.centos.12.3.x86_64

Did changes for ssl :-

SSLCipherSuite ECDHE-ECDSA-AES256-GCM-SHA384:ECDHE-RSA-AES256-GCM-SHA384:ECDHE-ECDSA-CHACHA20-POLY1305:ECDHE-RSA-CHACHA20-POLY1305:ECDHE-ECDSA-AES128-GCM-SHA256:ECDHE-RSA-AES128-GCM-SHA256:ECDHE-ECDSA-AES256-SHA384:ECDHE-RSA-AES256-SHA384:ECDHE-ECDSA-AES128-SHA256:ECDHE-RSA-AES128-SHA256

SSLProtocol -all +SSLv3 +TLSv1 +TLSv1.1 +TLSv1.2

SSLHonorCipherOrder on

I am not sure what is missing here, can anybody help me here,

Thanks in advance.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.